Class | TkDatabaseClass
In: | tk/lib/tk/bindtag.rb
Parent: | TkBindTag

### Methods

inspect new new

### Public Class methods

new(name, *args, &b)

[Source]

    # File tk/lib/tk/bindtag.rb, line 71
      def initialize(name, *args, &b)
        @id = name
        BTagID_TBL[@id] = self
        bind(*args, &b) if args != []
      end

new(name, *args, &b)

[Source]

    # File tk/lib/tk/bindtag.rb, line 66
      def self.new(name, *args, &b)
        return BTagID_TBL[name] if BTagID_TBL[name]
        super(name, *args, &b)
      end

### Public Instance methods

inspect()

[Source]

    # File tk/lib/tk/bindtag.rb, line 77
      def inspect
        #Kernel.format "#<TkDatabaseClass: %s>", @id
        '#<TkDatabaseClass: ' + @id + '>'
      end

[Validate]